# Uses of Interface
org.eclipse.gef.mvc.fx.parts.IResizableContentPart

Packages that use IResizableContentPart
Package
Description
org.eclipse.gef.mvc.fx.operations
This package contains all `IUndoableOperation` implementations contributed by MVC.FX.
org.eclipse.gef.mvc.fx.parts
This package contains all JavaFX-specific `IContentPart`, `IVisualPart`, `IFeedbackPart`, and `IHandlePart` implementations and related classes.
org.eclipse.gef.mvc.fx.policies
This package contains all `IPolicy` implementations contributed by MVC.FX.

## Uses of IResizableContentPart in org.eclipse.gef.mvc.fx.operations

Methods in org.eclipse.gef.mvc.fx.operations that return IResizableContentPart
Modifier and Type
Method
Description
`IResizableContentPart<? extends javafx.scene.Node>`
ResizeOperation.`getResizablePart()`
Returns the `IResizableContentPart` that is resized by this operation.
Constructors in org.eclipse.gef.mvc.fx.operations with parameters of type IResizableContentPart
Modifier
Constructor
Description
``
`ResizeContentOperation(IResizableContentPart<? extends javafx.scene.Node> resizableContentPart, Dimension initialSize, Dimension finalSize)`
Creates a new `ResizeContentOperation` to resize the content of the given `IResizableContentPart`.
``
`ResizeOperation(String label, IResizableContentPart<? extends javafx.scene.Node> resizablePart, Dimension initialSize, double dw, double dh)`
Constructs a new `ResizeOperation` from the given values.
``
`ResizeOperation(IResizableContentPart<? extends javafx.scene.Node> resizablePart)`
Constructs a new `ResizeOperation` for the manipulation of the given `Node`.
``
`ResizeOperation(IResizableContentPart<? extends javafx.scene.Node> resizablePart, double dw, double dh)`
Constructs a new `ResizeOperation` for the manipulation of the given `Node`.

## Uses of IResizableContentPart in org.eclipse.gef.mvc.fx.parts

Subinterfaces of IResizableContentPart in org.eclipse.gef.mvc.fx.parts
Modifier and Type
Interface
Description
`interface`
`IBendableContentPart<V extends javafx.scene.Node>`
An `IContentPart` that supports content related bend, i.e. manipulation of control points.

## Uses of IResizableContentPart in org.eclipse.gef.mvc.fx.policies

Methods in org.eclipse.gef.mvc.fx.policies that return IResizableContentPart
Modifier and Type
Method
Description
`IResizableContentPart<? extends javafx.scene.Node>`
ResizePolicy.`getHost()`